complex:
  entity_embedder:
    dropout: -0.06161046028137207
    regularize_weight: 9.556005825065507e-07
  relation_embedder:
    dropout: -0.03550025820732117
    regularize_weight: 2.5609772540228596e-17
dataset:
  name: fb15k
  num_entities: 14951
  num_relations: 1345
entity_ranking:
  metrics_per:
    relation_type: true
eval:
  batch_size: 256
import:
- reciprocal_relations_model
- complex
lookup_embedder:
  dim: 256
  initialize: xavier_uniform_
  initialize_args:
    normal_:
      mean: 0.0
      std: 0.0028310175592036607
    uniform_:
      a: -0.8659906377354264
    xavier_normal_:
      gain: 1.0
    xavier_uniform_:
      gain: 1.0
model: complex
negative_sampling:
  implementation: batch
reciprocal_relations_model:
  base_model:
    type: complex
train:
  auto_correct: true
  batch_size: 256
  loss_arg: .nan
  lr_scheduler: ReduceLROnPlateau
  lr_scheduler_args:
    factor: 0.95
    mode: max
    patience: 8
    threshold: 0.0001
  max_epochs: 400
  optimizer_args:
    lr: 0.06948911266889275
  type: 1vsAll
valid:
  early_stopping:
    min_threshold:
      epochs: 50
      metric_value: 0.05
    patience: 10

